**Full name**: projects.locations.models.list

Lists Models in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/models`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location to list the Models from. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` An expression for filtering the results of the request. For field names both snake_case and camelCase are supported.

- `model` supports = and !=. `model` represents the Model id, i.e. the last segment of the Model's `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models#Model.FIELDS.name`.
- `displayName` supports = and !=
- `labels` supports general map functions that is:
  - `labels.key=value` - key:value equality
  - \`labels.key:\* or labels:key - key existence
  - A key including a space must be quoted. `labels."a key"`.
- `base_model_name` only supports =

Some examples:

- `model=1234`
- `displayName="myDisplayName"`
- `labels.myKey="myValue"`
- `baseModelName="text-bison"`
`pageSize` `integer` The standard list page size.
`pageToken` `string` The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/list#body.ListModelsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/list#google.cloud.aiplatform.v1.ModelService.ListModels` call.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`orderBy` `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields:

- `displayName`
- `createTime`
- `updateTime`

Example: `displayName, createTime desc`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/list#google.cloud.aiplatform.v1.ModelService.ListModels`

If successful, the response body contains data with the following structure:
Fields `models[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models#Model`)`` List of Models in the requested page.
`nextPageToken` `string` A token to retrieve next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models/list#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "models": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models#Model`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.models.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).